SQLITE3_DB_FILENAME(3) | Library Functions Manual | SQLITE3_DB_FILENAME(3)

# NAME

`sqlite3_db_filename` —
Return The Filename For A Database Connection

# SYNOPSIS

const char *
`sqlite3_db_filename`(sqlite3 *db, const char *zDbName);

# DESCRIPTION

The sqlite3_db_filename(D,N) interface returns a pointer to a filename associated with database N of connection D. The main database file has the name "main". If there is no attached database N on the database connection D, or if database N is a temporary or in-memory database, then a NULL pointer is returned.

The filename returned by this function is the output of the xFullPathname method of the VFS. In other words, the filename will be an absolute pathname, even if the filename used to open the database originally was a URI or relative pathname.

December 19, 2018 | NetBSD 9.5